# Generated by Django 4.2 on 2023-06-05 12:57

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):
    dependencies = [
        ("missions", "0001_initial"),
    ]

    operations = [
        migrations.AlterField(
            model_name="mission",
            name="from_date",
            field=models.DateField(default=django.utils.timezone.now),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="mission",
            name="proofs",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="missions.proof",
            ),
        ),
        migrations.AlterField(
            model_name="mission",
            name="status",
            field=models.CharField(
                choices=[
                    ("proposed", "Proposed"),
                    ("resubmit", "resubmit"),
                    ("resubmited", "resubmited"),
                    ("approved", "Approved"),
                    ("completed", "Completed"),
                    ("reimbursed", "Reimbursed"),
                ],
                default="proposed",
                max_length=50,
            ),
        ),
        migrations.AlterField(
            model_name="mission",
            name="to_date",
            field=models.DateField(),
        ),
    ]
